This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 70103 - Up2date -u crashes with validateEmail error behind proxy
Up2date -u crashes with validateEmail error behind proxy
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
limbo
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-30 09:38 EDT by Gil Chilton
Modified: 2015-01-07 18:58 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-01 09:21:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gil Chilton 2002-07-30 09:38:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Limbo2
I can run up2date --configure to define authenticated proxy information for 
up2date.
When I run up2date -u, I get the following error message when I complete the 
username, password, and email address screen.

Traceback (most recent call last):
  File "/usr/sbin/up2date", line 801, in ?
    main()
  File "/usr/sbin/up2date", line 524, in main
    tui.main()
  File "/usr/share/rhn/up2date_client/tui.py", line 1044, in main
    tui.run()
  File "/usr/share/rhn/up2date_client/tui.py", line 994, in run
    result = win.run()
  File "/usr/share/rhn/up2date_client/tui.py", line 254, in run
    valid = self.validateFields()
  File "/usr/share/rhn/up2date_client/tui.py", line 226, in validateFields
    if not up2dateErrors.validateEmail(self.emailEntry.value()):
AttributeError: 'module' object has no attribute 'validateEmail'

up2date-gnome-2.9.30-7.x.9
up2date-2.9.30-7.x.9


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run up2date --configure
2. Run up2date -u or -l
3. 
	

Actual Results:  Program exits with above error message

Expected Results:  Up2date should register with RHN and download new versions 
if available.

Additional info:

Proxy requires authentiation.
Comment 1 Adrian Likins 2002-07-30 13:57:53 EDT
should be fixed in cvs now, or 2.9.31 or higher
Comment 2 Gil Chilton 2002-07-30 19:22:00 EDT
up2date-2.9.31-7.x.9.i386.rpm corrects the problem for me.
Comment 3 Mike Chambers 2002-08-01 09:21:30 EDT
Had same problem and the updated rpm's fixed it for me as well.
Comment 4 Adrian Likins 2002-08-08 17:03:37 EDT
cool, I'll close this out then

Note You need to log in before you can comment on or make changes to this bug.